Bug 554786 - grubby 7.0.13-1 doesn't follow symlink
grubby 7.0.13-1 doesn't follow symlink
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grubby (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
: Patch, Reopened
Depends On: 450333
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-12 11:51 EST by H.J. Lu
Modified: 2011-06-27 10:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 450333
Environment:
Last Closed: 2011-06-27 10:47:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A patch (1.65 KB, patch)
2010-01-12 11:52 EST, H.J. Lu
no flags Details | Diff

  None (edit)
Description H.J. Lu 2010-01-12 11:51:12 EST
+++ This bug was initially created as a clone of Bug #450333 +++

I have several Linux distros installed on my machine.
All grub.conf files are symlinked to the same file:

[hjl@gnu-6 gcc]$ ls -l /boot/grub/grub.conf 
lrwxrwxrwx 1 root root 27 2008-05-29 11:34 /boot/grub/grub.conf ->
/mnt/f8/boot/grub/grub.conf

grubby in mkinitrd-6.0.52-2.fc9 doesn't follow symlink
recursively and replaces the symlink with a file. My
machine won't boot Fedora 9 after update. I am enclosing
a patch here to follow symlink recursively.

--- Additional comment from hongjiu.lu@intel.com on 2008-06-06 14:27:30 EDT ---

Created an attachment (id=308557)
A grubby patch to follow symlink recursively

--- Additional comment from fedora-triage-list@redhat.com on 2009-06-09 21:26:48 EDT ---


This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from fedora-triage-list@redhat.com on 2009-07-14 12:10:08 EDT ---


Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

--- Additional comment from hongjiu.lu@intel.com on 2009-07-14 12:16:20 EDT ---

This bug isn't fixed in Fedora 11. The same patch here for Fedora 9 can
be applied to Fedora 11.

--- Additional comment from hdegoede@redhat.com on 2010-01-12 10:31:07 EST ---

This is a mass edit of all mkinitrd bugs.

Thanks for taking the time to file this bug report (and/or commenting on it).

As you may have heard in Fedora 12 mkinitrd has been replaced by dracut. In Fedora 12 the mkinitrd package is still around as some programs depend on
certain libraries it provides, but mkinitrd itself is no longer used.

In Fedora 13 mkinitrd will be removed completely. This means that all work
on initrd has stopped.

Rather then keeping mkinitrd bugs open and giving false hope they might get fixed we are mass closing them, so as to clearly communicate that no more work will be done on mkinitrd. We apologize for any inconvenience this may cause. 

If you are using Fedora 11 and are experiencing a mkinitrd bug you cannot work around, please upgrade to Fedora 12. If you experience problems with the initrd in Fedora 12, please file a bug against dracut.
Comment 1 H.J. Lu 2010-01-12 11:52:03 EST
Created attachment 383280 [details]
A patch

This patch fixes the problem.
Comment 2 H.J. Lu 2010-05-10 15:49:32 EDT
grubby-7.0.13-1 has the same issue. The same patch works on
grubby-7.0.13-1.
Comment 3 Bug Zapper 2011-06-02 12:54:43 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-27 10:47:17 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.